#include <iostream>

using namespace std;

int main()
{
    int n, k, x;
    cin >> n;
    cin >> k;
    cin >> x;
    if(k == 3){
        cout << x+1 << " ";
        cout << 1 << " ";
        cout << 1 << " ";
        cout << 1 << " ";
        for(int i = 0; i < n-4; i++){
            cout << 2 << " ";
        }
    }
    else{
        int l = 0;
        int c = 0;
        int r = n-1;
        bool a = true;
        while(l <= k){
            l += r;
            r -= 1;
            if(r < 0){
                a = false;
                break;
            }
            c++;
        }
        if(!a)
            cout << -1 << " ";
        else{
            if(c+l-k > n)
                cout << -1 << " ";
            else{
                for(int i = 0; i < c; i++){
                    cout << (c-i) * x + 1 << " ";
                }
                for(int i = 0; i < l-k; i++){
                    cout << 2 << " ";
                }
                for(int i = 0; i < n+k-l-c; i++){
                    cout << 1 << " ";
                }
            }
        }
    }
    return 0;
}